#define         svnversion      0.0.0
#define         svnsnapshot     svn
#define         baseversion     #{svnversion}
#define         srcversion      #{version}#{svnsnapshot}

%define         baseversion     %{version}
%define         srcversion      %{version}

%define         majorcsiro      0
%define         libcsiro        %mklibname csiro %{majorcsiro}

%define         majorqsastime   0
%define         libqsastime     %mklibname qsastime %{majorqsastime}

%define         majorplplotada  4
%define         libada          %mklibname %{name}ada %{majorplplotada}

%define         majorplplotqt   2
%define         libqt           %mklibname %{name}qt %{majorplplotqt}

%define         majorplplotfortran  0
%define         libfortran      %mklibname %{name}fortran %{majorplplotfortran}

%define         majorplplotcxx  15
%define         libcxx          %mklibname %{name}cxx %{majorplplotcxx}

%define         majorplplotwxwidgets   1
%define         libwxwidgets    %mklibname %{name}wxwidgets %{majorplplotwxwidgets}

%define         majortclmatrix  10
%define         libtclmatrix    %mklibname tclmatrix %{majortclmatrix}

%define         majorplplottcltk 14
%define         libtcltk        %mklibname %{name}tcltk %{majorplplottcltk}

%define         majorplplottcltk_Main  1
%define         libtcltk_main   %mklibname %{name}tcltk_main %{majorplplottcltk_Main}

%define         majorplplot     17
%define         libname         %mklibname plplot %{majorplplot}
%define         develname       %mklibname -d %{name}

#let's switch to python3 for mga7
%define         pythonname      python3-%{name}
%define         pythonqt5name   python3-%{name}-qt5
%define         ocamlname       ocaml-%{name}
%define         javaname        java-%{name}
%define         octavename      octave-%{name}
%define         luaname         lua-%{name}
%define         dname           d-%{name}

%define         enable_itcl     ON
%define         itcl_version    4.1.1

%define         enable_itk      ON
%define         itk_version     4.1.0

%define         iwidget_version 4.1


#needs PDL::Graphics::PLplot
%define         enable_pdl      OFF

#needs D compiler
%ifarch %{ix86} x86_64
%global with_d 1
%else
%global with_d 0
%endif

%if %{with_d}
%define         enable_d        ON
%else
%define         enable_d        OFF
%endif

#needs lasi
%define         enable_psttf    OFF

#SWIG support for octave is currently on hold
%global         with_octave     0

%if %{with_octave}
%define         enable_octave   ON
%else
%define         enable_octave   OFF
%endif

#currently broken with latest qt5

%global         with_pyqt5      0

%if %{with_pyqt5}
%define         enable_pyqt5    ON
%else
%define         enable_pyqt5    OFF
%endif

#to find fonts for freetype
%define         gnu_font_path   /usr/share/fonts/gnu-free

#to compile against TCL 8.6
%define         c_flags         -DUSE_INTERP_RESULT

#to compile against octave 5.1.0
%define         cxx_flags       -std=gnu++11

#autodetection of tk version fails due to no X11 environment
%define         tk_version      8.6

#shapelib includedir
%define         includeshp_dir  %{_includedir}/libshp

#fortran and ada files reside in the gcc directory
%define         gccinstall_dir  %(LC_ALL=C %__cc --print-search-dirs | grep install | %__awk '{print $2}')
%define         includef_dir    %{gccinstall_dir}/finclude
%define         libada_dir      %{gccinstall_dir}/adalib
%define         includeada_dir  %{gccinstall_dir}/adainclude


Name:           plplot
Version:        5.15.0
Release:        %mkrel 36
Summary:        A cross-platform software package for creating scientific plots
License:        LGPLv2+
Group:          Graphics/Utilities

URL:            https://plplot.sourceforge.net/
Source0:        https://downloads.sourceforge.net/plplot/%{name}-%{version}.tar.gz
#Source0:        #{name}-#{srcversion}.tar.xz
# svn co https://plplot.svn.sourceforge.net/svnroot/plplot/trunk plplot
# mv plplot plplot-#{version}
# rm -fr plplot-#{version}/.svn
# tar cJf plplot-#{version}.tar.xz plplot-#{version}
#
# Fedora Patches:
#
# Drop -mieee-fp
Patch0:         plplot-ieee.patch
# Fix build with Qt 5.15
# commit 2aa2e1bdae9f75dbf74dc970e80834081fb3d0de
Patch1:         plplot-qt-5.15.patch
# Upstream patch to fix in-tree ocaml rpath - plplot-5.15.0-37-g6b215267e
Patch3:         plplot-ocaml-rpath.patch
# Fix safe-string new default in OCaml 4.06.
Patch9:         plplot-5.12.0-safe-string.patch
# From Debian, based on upstream change
# https://sourceforge.net/p/plplot/plplot/ci/4e9679b2266e190f66969f21392cdcf9766a58c9
Patch10:	Change-install-tree-location-of-wxPLViewer.patch
#https://github.com/PLplot/PLplot/commit/0bf0fe35c044326c6720e14c7ab3df8c55868f2a.patch
Patch11:        plplot-5.15.0-numpy2.patch

# Others:
Patch102:       plplot-5.12.0-build-fpic.patch
Patch104:       plplot-5.11.1-cairo-dpi.patch
Patch106:       plplot-5.14.0-ocaml.patch
Patch108:       plplot-5.15.0-dmd.patch
Patch109:       plplot-pyqt5-sip-path.patch
Patch110:       plplot-sip-build-support.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  swig
BuildRequires:  sed
BuildRequires:  gcc-gfortran
%ifnarch %arm aarch64
BuildRequires:  quadmath-devel
%endif
BuildRequires:  gcc-c++
BuildRequires:  gcc-gnat >= 4.8
BuildRequires:  libgnat >= 4.8
BuildRequires:  gnu-free-fonts-compat
BuildRequires:  gnu-free-mono-fonts
BuildRequires:  gnu-free-sans-fonts
BuildRequires:  gnu-free-serif-fonts
BuildRequires:  perl(PDL)
BuildRequires:  perl(XML::DOM)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(form)
BuildRequires:  libltdl-devel
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  wxgtk-devel
BuildRequires:  pkgconfig(qhull)

BuildRequires:  pkgconfig(freetype2)
BuildRequires:  tk
BuildRequires:  pkgconfig(tk)
BuildRequires:  pkgconfig(tcl)
BuildRequires:  itk-devel
BuildRequires:  iwidgets
BuildRequires:  pkgconfig(lua)

BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-numpy-devel
BuildRequires:  java-devel-openjdk
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-doc
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-lablgtk2-devel
BuildRequires:  ocaml-cairo-devel
%if %{with_octave}
BuildRequires:  octave-devel
%endif
BuildRequires:  itcl-devel
BuildRequires:  libharu-devel

BuildRequires:  pkgconfig(shapelib)
%if %{with_d}
BuildRequires:  dmd
BuildRequires:  phobos-devel
%endif

BuildRequires:  python3dist(pyqt-builder)
BuildRequires:  python3dist(sip) >= 5
BuildRequires:  python3-qt5-devel

%description
PLplot is a cross-platform software package for creating scientific
plots. To help accomplish that task it is organized as a core C
library, language bindings for that library, and device drivers which
control how the plots are presented in non-interactive and interactive
plotting contexts. The PLplot core library can be used to create
standard x-y plots, semi-log plots, log-log plots, contour plots, 3D
surface plots, mesh plots, bar charts and pie charts. Multiple graphs
(of the same or different sizes) may be placed on a single page, and
multiple pages are allowed for those device formats that support them.

%package -n %{libname}
Summary:        Shared library and driver modules for PLplot
Group:          System/Libraries
Obsoletes:      %{_lib}plplotd < 5.11.0


%description -n %{libname}
%{summary}.



%package -n %{libcsiro}
Summary:        Scientific plotting library (CSIRO libraries)
Group:          System/Libraries

%description -n %{libcsiro}
This package contains shared libraries for plplot used in geometry applications:
 * libcsirocsa: bivariate Cubic Spline Approximation library
 * libcsironn: Natural Neighbours interpolation library



%package -n %{libqsastime}
Summary:        Time format conversion library
Group:          System/Libraries

%description -n %{libqsastime}
The qsastime library is a simple library for handling time format
conversion. It overcomes the limitations of the POSIX time handling
routines by allow high precision time variables over a large range
of ranges of dates and by correctly handling leap seconds. It was
designed with the needs of scientific data plotting in mind.



%package -n %{libada}
Summary:        Ada runtime support library for PLplot
Group:          System/Libraries
Obsoletes:      %{_lib}adad < 5.11.0


%description -n %{libada}
This package contains Ada runtime support library for PLplot.



%package -n %{libqt}
Summary:        Qt driver module and bindings for PLplot
Group:          System/Libraries
Obsoletes:      %{_lib}qtd < 5.11.0

%description -n %{libqt}
This package provides the Qt driver module for PLplot. It also provides
C++ bindings to allow use of the PLplot API in Qt applications.



%package -n %{libfortran}
Summary:        Fortran bindings for PLplot
Group:          System/Libraries
Obsoletes:      %{_lib}f95d < 5.11.0
Obsoletes:      %{_lib}%{name}f9513 < 5.12.0-3
Obsoletes:      %{_lib}%{name}f95 < 5.13.0
Obsoletes:      %{_lib}%{name}f95c < 5.13.0

%description -n %{libfortran}
This package contains the Fortran bindings for PLplot.



%package -n %{libcxx}
Summary:        C++ bindings for PLplot
Group:          System/Libraries
Obsoletes:      %{_lib}cxxd < 5.11.0

%description -n %{libcxx}
This package contains the C++ bindings for PLplot.



%package -n %{libwxwidgets}
Summary:        wxWidgets driver module and bindings for PLplot
Group:          System/Libraries
Obsoletes:      %{_lib}wxwidgetsd < 5.11.0
Conflicts:      %{name} < 5.15.0-25

%description -n %{libwxwidgets}
This package provides the wxWidgets driver module for PLplot. It also provides
C++ bindings to allow use of the PLplot API in wxWidgets applications.



%package -n %{libtclmatrix}
Summary:        Tcl Matrix extension library for PLplot
Group:          System/Libraries

%description -n %{libtclmatrix}
This package provides the Tcl Matrix extension library for PLplot.

%package -n %{libtcltk}
Summary:        Tcl/Tk support for PLplot
Group:          System/Libraries
Obsoletes:      %{_lib}tcltkd < 5.11.0

%description -n %{libtcltk}
This package provides Tcl/Tk support for PLplot. It also provides
Tk driver module.



%package -n %{libtcltk_main}
Summary:        Tcl/Tk support library for PLplot
Group:          System/Libraries
Obsoletes:      %{_lib}tcltk_maind < 5.11.0

%description -n %{libtcltk_main}
This package provides Tcl/Tk support for PLplot.



%package -n %{develname}
Summary:        Development headers and libraries for PLplot
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libcsiro} = %{version}-%{release}
Requires:       %{libqsastime} = %{version}-%{release}
Requires:       %{libada} = %{version}-%{release}
Requires:       %{libqt} = %{version}-%{release}
Requires:       %{libfortran} = %{version}-%{release}
Requires:       %{libcxx} = %{version}-%{release}
Requires:       %{libwxwidgets} = %{version}-%{release}
Requires:       %{libtclmatrix} = %{version}-%{release}
Requires:       %{libtcltk} = %{version}-%{release}
Requires:       %{libtcltk_main} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.



%package -n %{pythonname}
Summary:        PLplot support for Python
Group:          Development/Python
Requires:       python3
Provides:       %{name}-python3 = %{version}-%{release}
Obsoletes:      %{name}-python < 5.13.0

%description -n %{pythonname}
%{summary}.

%if %{with_pyqt5}
%package -n %{pythonqt5name}
Summary:        PLplot support for PyQt5
Group:          Development/Python

%description -n %{pythonqt5name}
%{summary}.
%endif

%package -n %{ocamlname}
Summary:        PLplot support for OCaml
Group:          Development/Other
Provides:       %{name}-ocaml = %{version}-%{release}

%description -n %{ocamlname}
%{summary}.

%if %{with_d}
%package -n %{dname}
Summary:        PLplot support for D
Group:          Development/Other
Provides:       %{name}-d = %{version}-%{release}

%description -n %{dname}
%{summary}.
%endif

%package -n %{javaname}
Summary:        PLplot support for Java
Group:          Development/Java
Requires:       java
Provides:       %{name}-java = %{version}-%{release}

%description -n %{javaname}
%{summary}.


%if %{with_octave}

%package -n %{octavename}
Summary:        PLplot support for Octave
Group:          Sciences/Mathematics
Requires:       octave
Provides:       %{name}-octave = %{version}-%{release}

%description -n %{octavename}
%{summary}.

%endif


%package -n %{luaname}
Summary:        PLplot support for Lua
Group:          Sciences/Mathematics
Requires:       lua%{lua_version}
Provides:       %{name}-lua = %{version}-%{release}

%description -n %{luaname}
%{summary}.



%prep
%setup -q -n %{name}-%{srcversion}
%autopatch -p1

# Use cmake FindLua
rm cmake/modules/FindLua.cmake

%build
export CFLAGS="%{optflags} %{c_flags}"
export CXXFLAGS="%{optflags} %{cxx_flags}"
export DC="%{_bindir}/dmd"
export PATH="%{_qt5_bindir}:$PATH"
%cmake \
       -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -Wno-dev \
        -DENABLE_itcl=%{enable_itcl} \
        -DENABLE_itk=%{enable_itk} \
        -DENABLE_pdl=%{enable_pdl} \
        -DENABLE_d=%{enable_d} \
        -DENABLE_octave=%{enable_octave} \
        -DENABLE_compiler_diagnostics=ON \
        -DPLD_psttf=%{enable_psttf} \
        -DPL_FREETYPE_FONT_PATH:PATH=%{gnu_font_path} \
        -DTEST_DYNDRIVERS=OFF \
        -DUSE_RPATH:BOOL=OFF \
        -DFORTRAN_MOD_DIR:PATH=%{includef_dir}/%{name} \
        -DF77_INCLUDE_DIR:PATH=%{includef_dir}/%{name} \
        -DOCAML_INSTALL_DIR:PATH=%{_libdir}/ocaml \
        -DJAVAWRAPPER_DIR:PATH=%{_libdir}/%{name} \
        -DSHAPELIB_INCLUDE_DIR=%{includeshp_dir} \
        -DPLPLOT_ITK_VERSION:STRING=%{itk_version} \
        -DPLPLOT_TK_VERSION:STRING=%{tk_version} \
        -DPLPLOT_ITCL_VERSION:STRING=%{itcl_version} \
        -DITCL_LIBRARY=%{tcl_sitearch}/itcl%{itcl_version}/libitcl%{itcl_version}.so \
        -DITK_LIBRARY=%{tcl_sitearch}/itk%{itk_version}/libitk%{itk_version}.so \
        -DIWIDGETS_VERSIONS_LIST:STRING="%{iwidget_version};%{itk_version};%{itcl_version}" \
        -DPLPLOT_USE_QT5=ON \
        -DENABLE_pyqt5=%{enable_pyqt5} \
        -DNON_TRANSITIVE:BOOL=OFF

%cmake_build


%install
%cmake_install

%__rm -f %{buildroot}%{_libdir}/libplfortrandemolib.a

#install ada files into the right place, the -DADA_LIB_DIR variable
#cannot be overloaded
%__mkdir_p %{buildroot}%{libada_dir}
%__mkdir_p %{buildroot}%{includeada_dir}
pushd %{buildroot}%{_datadir}/ada/adainclude
mv plplotada    %{buildroot}%{libada_dir}/plplotada
popd
pushd %{buildroot}%{_libdir}/ada/adalib
mv plplotada    %{buildroot}%{includeada_dir}/plplotada
popd

#remove remaining *.in example files screwing up find
#requires scripts
%__rm -f %{buildroot}%{_datadir}/%{name}%{baseversion}/examples/tcl/*.in
%__rm -f %{buildroot}%{_datadir}/%{name}%{baseversion}/examples/tk/*.in
%__rm -f %{buildroot}%{_datadir}/%{name}%{baseversion}/cmake/modules/*.in
%__rm -f %{buildroot}%{_datadir}/%{name}%{baseversion}/examples/*.in
# not yet ported to python3
%__rm -f %{buildroot}%{_datadir}/%{name}%{baseversion}/examples/python/pythondemos.py

# Fix *** ERROR: ambiguous python shebang in /usr/share/plplot5.15.0/examples/python/..: #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
sed -i 's!/usr/bin/env python!/bin/python3!' %{buildroot}%{_datadir}/%{name}%{baseversion}/examples/python/*

rm -f %{buildroot}%{_datadir}/%{name}%{baseversion}/examples/plplot_test/CMakeLists.txt

%files
%{_bindir}/pl*
%{_mandir}/man1/*
%{_datadir}/doc/plplot/*
%dir %{_datadir}/%{name}%{baseversion}
%{_datadir}/%{name}%{baseversion}/*.fnt
%{_datadir}/%{name}%{baseversion}/*.shp
%{_datadir}/%{name}%{baseversion}/*.shx
%{_datadir}/%{name}%{baseversion}/*.pal
%{_datadir}/%{name}%{baseversion}/*.tcl
%{_datadir}/%{name}%{baseversion}/tcl/
%{_datadir}/%{name}%{baseversion}/ss/

%files -n %{libcsiro}
%{_libdir}/libcsirocsa.so.%{majorcsiro}
%{_libdir}/libcsirocsa.so.%{majorcsiro}.*
%{_libdir}/libcsironn.so.%{majorcsiro}
%{_libdir}/libcsironn.so.%{majorcsiro}.*

%files -n %{libqsastime}
%{_libdir}/libqsastime.so.%{majorqsastime}
%{_libdir}/libqsastime.so.%{majorqsastime}.*

%files -n %{libada}
%{_libdir}/libplplotada.so.%{majorplplotada}
%{_libdir}/libplplotada.so.%{majorplplotada}.*
%{libada_dir}/plplotada/

%files -n %{libqt}
%{_libdir}/libplplotqt.so.%{majorplplotqt}
%{_libdir}/libplplotqt.so.%{majorplplotqt}.*
%{_libdir}/%{name}%{baseversion}/drivers/qt.*

%files -n %{libfortran}
%{_libdir}/libplplotfortran.so.%{majorplplotfortran}
%{_libdir}/libplplotfortran.so.%{majorplplotfortran}.*

%files -n %{libcxx}
%{_libdir}/libplplotcxx.so.%{majorplplotcxx}
%{_libdir}/libplplotcxx.so.%{majorplplotcxx}.*

%files -n %{libwxwidgets}
%{_libdir}/libplplotwxwidgets.so.%{majorplplotwxwidgets}
%{_libdir}/libplplotwxwidgets.so.%{majorplplotwxwidgets}.*
%{_libdir}/%{name}%{baseversion}/drivers/wxwidgets.*
%{_libdir}/%{name}%{baseversion}/drivers/wxPLViewer

%files -n %{libtclmatrix}
%{_libdir}/libtclmatrix.so.%{majortclmatrix}
%{_libdir}/libtclmatrix.so.%{majortclmatrix}.*

%files -n %{libtcltk}
%{_libdir}/libplplottcltk.so.%{majorplplottcltk}
%{_libdir}/libplplottcltk.so.%{majorplplottcltk}.*
%{_libdir}/%{name}%{baseversion}/drivers/tk.*
%{_libdir}/%{name}%{baseversion}/drivers/tkwin.*

%files -n %{libtcltk_main}
%{_libdir}/libplplottcltk_Main.so.%{majorplplottcltk_Main}
%{_libdir}/libplplottcltk_Main.so.%{majorplplottcltk_Main}.*

%files -n %{libname}
%doc ABOUT Copyright COPYING.*
%{_libdir}/libplplot.so.%{majorplplot}
%{_libdir}/libplplot.so.%{majorplplot}.*
%dir %{_libdir}/%{name}%{baseversion}/
%{_libdir}/%{name}%{baseversion}/drivers/cairo.*
%{_libdir}/%{name}%{baseversion}/drivers/mem.*
%{_libdir}/%{name}%{baseversion}/drivers/ntk.*
%{_libdir}/%{name}%{baseversion}/drivers/null.*
%{_libdir}/%{name}%{baseversion}/drivers/ps.*
%{_libdir}/%{name}%{baseversion}/drivers/pdf.*
%{_libdir}/%{name}%{baseversion}/drivers/svg.*
%{_libdir}/%{name}%{baseversion}/drivers/xfig.*
%{_libdir}/%{name}%{baseversion}/drivers/xwin.*


%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%dir %{includef_dir}/%{name}
%{includef_dir}/%{name}/*.mod
%{_libdir}/libcsiro*.so
%{_libdir}/libqsastime.so
%{_libdir}/libplplot*.so
%{_libdir}/libtclmatrix.so
%{_libdir}/pkgconfig/plplot*.pc
%{_libdir}/cmake/plplot
%exclude %{_libdir}/pkgconfig/plplot-ocaml.pc
%{includeada_dir}/plplotada
%dir %{_datadir}/%{name}%{baseversion}/examples
%{_datadir}/%{name}%{baseversion}/examples/CMakeLists.txt
%{_datadir}/%{name}%{baseversion}/examples/Makefile
%{_datadir}/%{name}%{baseversion}/examples/ada
%{_datadir}/%{name}%{baseversion}/examples/c++
%{_datadir}/%{name}%{baseversion}/examples/c
%{_datadir}/%{name}%{baseversion}/examples/cmake
%{_datadir}/%{name}%{baseversion}/examples/fortran
%{_datadir}/%{name}%{baseversion}/examples/README.Chloe
%{_datadir}/%{name}%{baseversion}/examples/Chloe.pgm
%{_datadir}/%{name}%{baseversion}/examples/plplot-test*
%{_datadir}/%{name}%{baseversion}/examples/tcl
%{_datadir}/%{name}%{baseversion}/examples/test*
%exclude %{_datadir}/%{name}%{baseversion}/examples/test_ocaml.sh
%exclude %{_datadir}/%{name}%{baseversion}/examples/test_python.sh
%exclude %{_datadir}/%{name}%{baseversion}/examples/test_java.sh
%{_datadir}/%{name}%{baseversion}/examples/tk/
%exclude %{_datadir}/%{name}%{baseversion}/examples/tk/tk01
%exclude %{_datadir}/%{name}%{baseversion}/examples/tk/tk02
%exclude %{_datadir}/%{name}%{baseversion}/examples/tk/tk04


%files -n %{pythonname}
%{python3_sitearch}/_plplotc.so
%{python3_sitearch}/plplot.py*
%{python3_sitearch}/plplotc.py*
%{python3_sitearch}/Plframe.*
%{python3_sitearch}/TclSup.*
%{python3_sitearch}/_Pltk_init.so
%{python3_sitearch}/Pltk_init.py
%{python3_sitearch}/__pycache__/*
%{_datadir}/%{name}%{baseversion}/examples/python
%{_datadir}/%{name}%{baseversion}/examples/test_python.sh

%if %{with_pyqt5}
%files -n %{pythonqt5name}
%{python3_sitearch}/plplot_pyqt5.so
%endif

%files -n %{ocamlname}
%{_libdir}/ocaml/%{name}
%{_libdir}/ocaml/stublibs/*
#{_libdir}/ocaml/plcairo/*
%{_libdir}/pkgconfig/plplot-ocaml.pc
%{_datadir}/%{name}%{baseversion}/examples/ocaml/
%{_datadir}/%{name}%{baseversion}/examples/test_ocaml.sh


%files -n %{javaname}
%{_libdir}/%{name}/libplplotjavac_wrap.so
%{_datadir}/java/plplot.jar
%{_datadir}/%{name}%{baseversion}/examples/java/
%{_datadir}/%{name}%{baseversion}/examples/test_java.sh

%if %{with_octave}
%files -n %{octavename}
%{_datadir}/plplot_octave/
%{_datadir}/octave/site/m/PLplot/
%{_libdir}/octave/site/oct/
%{_datadir}/%{name}%{baseversion}/examples/octave/
%{_datadir}/%{name}%{baseversion}/examples/test_octave.sh
%{_datadir}/%{name}%{baseversion}/examples/test_octave_interactive.sh
%endif

%files -n %{luaname}
%dir %{_libdir}/lua/plplot/
%{_libdir}/lua/plplot/plplotluac.so
%{_datadir}/%{name}%{baseversion}/examples/lua/

%if %{with_d}
%files -n %{dname}
%{_includedir}/plplot/plplot.d
%{_libdir}/libplplotdmd.a
%{_datadir}/%{name}%{baseversion}/examples/d/
%endif


%changelog
* Sun Sep 01 2024 eatdirt <eatdirt> 5.15.0-36.mga10
+ Revision: 2092575
- Fix build against numpy2
- Fix incorrect LIBDIR in pkgconfig

* Sun Mar 31 2024 daviddavid <daviddavid> 5.15.0-35.mga10
+ Revision: 2053468
- rebuild for arm32

* Sun Mar 31 2024 daviddavid <daviddavid> 5.15.0-34.mga10
+ Revision: 2053399
- rebuild for new gcc 14

* Fri Dec 29 2023 daviddavid <daviddavid> 5.15.0-33.mga10
+ Revision: 2023536
- rebuild for py3.12

* Tue Oct 10 2023 daviddavid <daviddavid> 5.15.0-32.mga10
+ Revision: 1994240
- add fedora patches to fix build with sip6

* Fri Jul 15 2022 wally <wally> 5.15.0-32.mga9
+ Revision: 1868997
- rebuild for wxgtk 3.2.0

* Sun Jun 12 2022 wally <wally> 5.15.0-31.mga9
+ Revision: 1864105
- rebuild for wxgtk 3.1.7

* Thu May 19 2022 pterjan <pterjan> 5.15.0-30.mga9
+ Revision: 1859112
- Rebuild for OCaml 4.14

* Fri Apr 15 2022 wally <wally> 5.15.0-29.mga9
+ Revision: 1849989
- rebuild for wxgtk 3.1.6

* Sat Apr 09 2022 eatdirt <eatdirt> 5.15.0-28.mga9
+ Revision: 1848434
- Skip broken pyqt5 module
- Rebuild for new libs
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Jan 25 2022 wally <wally> 5.15.0-26.mga9
+ Revision: 1769758
- add upstream patch via Debian to change install location of wxPLViewer
- rebuild for wxgtk 3.1.5 with working wxSizer::SetSizeHints()

* Sat Jan 01 2022 wally <wally> 5.15.0-24.mga9
+ Revision: 1765720
- rebuild for wxgtk 3.1.5 to resolve 'Symbol X has different size in shared object, consider re-linking' error

* Tue Oct 12 2021 tv <tv> 5.15.0-23.mga9
+ Revision: 1750803
- Rebuild for ocaml 4.13.1

* Wed May 05 2021 daviddavid <daviddavid> 5.15.0-22.mga9
+ Revision: 1721475
- rebuild for new gcc 11

* Sat Apr 03 2021 wally <wally> 5.15.0-21.mga9
+ Revision: 1712899
- rebuild for lua 5.4

* Sat Mar 20 2021 daviddavid <daviddavid> 5.15.0-20.mga9
+ Revision: 1705355
- rebuild for python 3.9

* Wed Mar 03 2021 tv <tv> 5.15.0-19.mga9
+ Revision: 1697190
- rebuild for ocaml-4.2-12

* Fri Jan 01 2021 wally <wally> 5.15.0-18.mga8
+ Revision: 1667724
- rebuild for wxgtk pre 3.1.5 snapshot

* Thu Dec 24 2020 eatdirt <eatdirt> 5.15.0-17.mga8
+ Revision: 1663476
- Deactivate octave support (swig support dropped)
- Rebuild for new octave

* Thu Dec 17 2020 umeabot <umeabot> 5.15.0-16.mga8
+ Revision: 1659423
- Rebuild for new Qt5

* Tue Nov 24 2020 joequant <joequant> 5.15.0-15.mga8
+ Revision: 1649049
- remove d for arm
- remove d for arm
- add d and pyqt5 bindings

* Thu Nov 19 2020 tv <tv> 5.15.0-12.mga8
+ Revision: 1647513
- adjust BR for new qhull
- rebuild for new qhull

* Sat Sep 05 2020 eatdirt <eatdirt> 5.15.0-11.mga8
+ Revision: 1622515
- Fix change of name in BR

* Mon Aug 17 2020 wally <wally> 5.15.0-10.mga8
+ Revision: 1614592
- rebuild for new wxgtk 3.1.4

* Sat Jul 11 2020 eatdirt <eatdirt> 5.15.0-9.mga8
+ Revision: 1605248
- Rebuild for armv7hl

* Sun Jun 28 2020 joequant <joequant> 5.15.0-8.mga8
+ Revision: 1600039
- rebuild

* Tue Jun 23 2020 daviddavid <daviddavid> 5.15.0-7.mga8
+ Revision: 1598675
- add patch to fix build with Qt 5.15
- rebuild for new qhull 2020.1
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Mon May 11 2020 daviddavid <daviddavid> 5.15.0-6.mga8
+ Revision: 1582860
- rebuild for new gcc 10.1.0

* Thu Mar 12 2020 tmb <tmb> 5.15.0-5.mga8
+ Revision: 1555905
- rebuild for gcc 9.3.0 final with major-only version in file paths

* Sun Mar 08 2020 tmb <tmb> 5.15.0-4.mga8
+ Revision: 1554880
- rebuild for gcc 9.3.0

* Fri Feb 28 2020 umeabot <umeabot> 5.15.0-3.mga8
+ Revision: 1551588
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 5.15.0-2.mga8
+ Revision: 1543705
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 5.15.0-1.mga8
+ Revision: 1482128
- new release
- rebuild for ocaml-4.10
- new major
+ wally <wally>
- build with new cmake macros

* Tue Nov 12 2019 wally <wally> 5.14.0-9.mga8
+ Revision: 1459487
- rebuild for wxgtk 3.1.3

* Tue Sep 24 2019 daviddavid <daviddavid> 5.14.0-8.mga8
+ Revision: 1445320
- rebuild for python3.8

* Tue Aug 27 2019 daviddavid <daviddavid> 5.14.0-7.mga8
+ Revision: 1433818
- rebuild for new gcc-gnat 9.2.0

* Thu Jul 18 2019 wally <wally> 5.14.0-6.mga8
+ Revision: 1422490
- rebuild with gtk3 enabled wxgtk 3.1.2

* Tue May 21 2019 eatdirt <eatdirt> 5.14.0-5.mga7
+ Revision: 1398782
- Rebuild for gfortran 8.3.1

* Mon Apr 01 2019 umeabot <umeabot> 5.14.0-4.mga7
+ Revision: 1384046
- Qt5 Rebuild

* Wed Mar 06 2019 eatdirt <eatdirt> 5.14.0-3.mga7
+ Revision: 1371817
- Rebuild for new swig and new octave
- Rebuild for new octave

* Mon Mar 04 2019 eatdirt <eatdirt> 5.14.0-1.mga7
+ Revision: 1371322
- Update plplot to version 5.14.0

* Sun Feb 24 2019 wally <wally> 5.13.0-19.mga7
+ Revision: 1369875
- drop unused BR agg

* Wed Jan 30 2019 daviddavid <daviddavid> 5.13.0-18.mga7
+ Revision: 1361938
- add back some finally needed cmake options

* Wed Jan 30 2019 daviddavid <daviddavid> 5.13.0-17.mga7
+ Revision: 1361933
- port to Qt5

* Sat Jan 19 2019 wally <wally> 5.13.0-16.mga7
+ Revision: 1358106
- add patch from usptream to fix cairo build with CMake >= 3.13.0
+ tmb <tmb>
- rebuild for python 3.7
+ daviddavid <daviddavid>
- rebuild for new Python 3.7

* Thu Oct 25 2018 daviddavid <daviddavid> 5.13.0-14.mga7
+ Revision: 1325230
- rebuild for new ocaml 4.07.1

* Mon Oct 15 2018 daviddavid <daviddavid> 5.13.0-13.mga7
+ Revision: 1320596
- rebuild for new octave 4.4.1

* Sun Sep 23 2018 umeabot <umeabot> 5.13.0-12.mga7
+ Revision: 1300314
- Mageia 7 Mass Rebuild
+ wally <wally>
- restore pycache

* Tue Jul 31 2018 eatdirt <eatdirt> 5.13.0-10.mga7
+ Revision: 1246343
- Rebuild for new gfortran
+ daviddavid <daviddavid>
- update files list (no more __pycache__ reference)
+ pterjan <pterjan>
- Do not BuildRequire quadmath-devel on aarch64

* Mon May 14 2018 eatdirt <eatdirt> 5.13.0-6.mga7
+ Revision: 1229578
- Rebuild for octave-4.4.0 with new swig
+ daviddavid <daviddavid>
- rebuild for new octave 4.4.0

* Sat May 12 2018 eatdirt <eatdirt> 5.13.0-4.mga7
+ Revision: 1228616
- Rebuild for itk-4.1.0 and itcl-4.1.1

* Tue Apr 03 2018 eatdirt <eatdirt> 5.13.0-3.mga7
+ Revision: 1214983
- Rebuild for new gfortran

* Sun Nov 26 2017 tv <tv> 5.13.0-2.mga7
+ Revision: 1179888
- rebuild for new ocaml

* Sat Oct 07 2017 eatdirt <eatdirt> 5.13.0-1.mga7
+ Revision: 1169996
- Fix wrong lua path, libfortran name
- Upgrade to version 5.13.0

* Mon Sep 11 2017 tv <tv> 5.12.0-5.mga7
+ Revision: 1152864
- build with lua 5.3
- add a fix from RH
- drop BR on pkgconfig(libgcj-5)
- rebuild for new libgfortran

* Sat Jun 03 2017 akien <akien> 5.12.0-4.mga6
+ Revision: 1106125
- Rebuild for wxgtk 3.0.3.1

* Fri Feb 10 2017 wally <wally> 5.12.0-3.mga6
+ Revision: 1085518
- drop old and unneeded conflicts
- fix f95 bindings pkg name
- split out f95c bindings

* Fri Feb 10 2017 wally <wally> 5.12.0-2.mga6
+ Revision: 1085509
- revert added obsoletes and conflicts for old libs

* Thu Feb 09 2017 eatdirt <eatdirt> 5.12.0-1.mga6
+ Revision: 1085219
- Upgrade to version 5.12.0

* Thu Jan 05 2017 daviddavid <daviddavid> 5.11.1-19.mga6
+ Revision: 1080282
- add patch for cmake 3.7 support

* Sun Dec 04 2016 wally <wally> 5.11.1-18.mga6
+ Revision: 1071924
- build with new itcl 4.0.4 and itk 4.0.2

* Sat Dec 03 2016 wally <wally> 5.11.1-17.mga6
+ Revision: 1071839
- use %%optflags
- use our default cmake build type (RelWithDebInfo)

* Sat Dec 03 2016 eatdirt <eatdirt> 5.11.1-16.mga6
+ Revision: 1071801
- Rebuild for new octave

* Mon Sep 26 2016 pterjan <pterjan> 5.11.1-14.mga6
+ Revision: 1056466
- Rebuild for fix in ocaml

* Mon Jul 18 2016 neoclust <neoclust> 5.11.1-13.mga6
+ Revision: 1042460
- Rebuild on armv5 agaisnt good wxgtk

* Thu Jun 02 2016 daviddavid <daviddavid> 5.11.1-12.mga6
+ Revision: 1019853
- rebuild for wxgtk3.0 built with GTK2

* Tue May 31 2016 pterjan <pterjan> 5.11.1-10.mga6
+ Revision: 1019597
- quadmath is also not present on armv7

* Mon Mar 28 2016 daviddavid <daviddavid> 5.11.1-9.mga6
+ Revision: 995889
- rebuild for new itk/itcl

* Fri Mar 11 2016 pterjan <pterjan> 5.11.1-8.mga6
+ Revision: 988957
- Remove quadmath-devel BuildRequires on armv5

* Thu Feb 18 2016 daviddavid <daviddavid> 5.11.1-7.mga6
+ Revision: 965842
- rebuild for new ocaml
- use new python macros

* Tue Nov 10 2015 daviddavid <daviddavid> 5.11.1-6.mga6
+ Revision: 900808
- enable experimental cmake option -DTRY_OCTAVE4=ON
- rebuild for new octave 4.0.0

* Mon Oct 05 2015 eatdirt <eatdirt> 5.11.1-5.mga6
+ Revision: 886280
- Rebuild for new tcl8.6

* Thu Sep 24 2015 eatdirt <eatdirt> 5.11.1-4.mga6
+ Revision: 883077
- Rebuild for new itk/itcl

* Thu Sep 24 2015 eatdirt <eatdirt> 5.11.1-3.mga6
+ Revision: 882532
- Resolving dependencies to itk/itc

* Sat Aug 29 2015 eatdirt <eatdirt> 5.11.1-2.mga6
+ Revision: 870781
- Remove .in files to fix false positive dependencies

* Fri Aug 28 2015 eatdirt <eatdirt> 5.11.1-1.mga6
+ Revision: 870359
- Fix missing sources
- Upgrade to version 5.11.1
+ ycantin <ycantin>
- fix cmake cairo detection
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix spec formatting

* Thu Jul 23 2015 akien <akien> 5.10.0-11.mga6
+ Revision: 856372
- Rebuild for wxgtk with gtk3

* Wed Oct 15 2014 umeabot <umeabot> 5.10.0-10.mga5
+ Revision: 750588
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 5.10.0-9.mga5
+ Revision: 727848
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 5.10.0-8.mga5
+ Revision: 687679
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue May 13 2014 tmb <tmb> 5.10.0-6.mga5
+ Revision: 622597
- bump libgcj requires
- rebuild with gcc 4.9

* Sun Mar 23 2014 wally <wally> 5.10.0-5.mga5
+ Revision: 606723
- drop more unneeded requires
- split out lua bindings

* Sat Mar 22 2014 wally <wally> 5.10.0-4.mga5
+ Revision: 606661
- split out libs with different majors and some driver modules
- drop unneeded requires

* Sat Mar 22 2014 wally <wally> 5.10.0-3.mga5
+ Revision: 606575
- add patches from Fedora to fix build with octave 3.8.x
- don't obsolete old libs

* Tue Feb 25 2014 eatdirt <eatdirt> 5.10.0-2.mga5
+ Revision: 597232
- Remove spurious .in files, prefer pkgconfig BR

* Tue Feb 25 2014 eatdirt <eatdirt> 5.10.0-1.mga5
+ Revision: 596730
- Upgrade to version 5.10.0

* Wed Feb 05 2014 fwang <fwang> 5.9.10-3.mga5
+ Revision: 583533
- try building with wxwidgets 3.0

* Mon Oct 21 2013 umeabot <umeabot> 5.9.10-2.mga4
+ Revision: 538755
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 5.9.10-1.mga4
+ Revision: 490362
- update to 5.9.10

* Sun Aug 11 2013 joequant <joequant> 5.9.10-0.svn12284.6.mga4
+ Revision: 465575
- update for new gcc

* Fri Aug 02 2013 joequant <joequant> 5.9.10-0.svn12284.5.mga4
+ Revision: 462622
- rebuild to redo dependencies

* Sat Apr 06 2013 malo <malo> 5.9.10-0.svn12284.4.mga3
+ Revision: 408586
- remove spurious requires

* Sun Jan 13 2013 umeabot <umeabot> 5.9.10-0.svn12284.3.mga3
+ Revision: 377932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 eatdirt <eatdirt> 5.9.10-0.svn12284.2.mga3
+ Revision: 343441
- Remove wrong Provides

* Wed Jan 09 2013 eatdirt <eatdirt> 5.9.10-0.svn12284.1.mga3
+ Revision: 343432
- Fix compilation failure, clean adalib, upgrade to latest svn
+ joequant <joequant>
- update plplot to latest svn
  update to lua5.2
  add cairo dpi patch

* Wed Oct 10 2012 fwang <fwang> 5.9.9-7.mga3
+ Revision: 304056
- do not test syndrivers
- try to recognize latest qhull
- enable rpath
- disable rpath

* Tue Oct 09 2012 fwang <fwang> 5.9.9-6.mga3
+ Revision: 303855
- add debian patch to build with recent system
- rebuild for new qhull

* Wed Jun 27 2012 fwang <fwang> 5.9.9-5.mga3
+ Revision: 264359
- br openjdk
- br lua 5.1
- find lua 5.1
- specify lua executable
- fix lua package name
- br lua 5.1
- recognize gcc 4.7
- rebuild for new gcc

* Sun Mar 25 2012 eatdirt <eatdirt> 5.9.9-4.mga2
+ Revision: 226406
- Rebuild against liboctave.so.1 (octave 3.6.1)

* Thu Jan 19 2012 fwang <fwang> 5.9.9-3.mga2
+ Revision: 198353
- try building wxgtku version

* Tue Dec 06 2011 fwang <fwang> 5.9.9-2.mga2
+ Revision: 177184
- recognize gcc 4.6
- br quadmath
- rebuild for new gcc

* Thu Nov 03 2011 eatdirt <eatdirt> 5.9.9-1.mga2
+ Revision: 162413
- upgrading to 5.9.9

* Tue Sep 06 2011 eatdirt <eatdirt> 5.9.8-1.mga2
+ Revision: 139306
- new version 5.9.8
- imported package plplot

